<?php 
include "../classes/tree.class.php";
$query = $db->select ( "SELECT * FROM productscats ORDER BY parent_id, sorting" );
while ( $row = $db->get_row ( $query, 'MYSQL_BOTH' ) ) {
	$cache[] = array('id' => 0 ,'section_id' => $row['id'], 'title' => $row['name'], 'pid' => $row['parent_id'], 'position' => $row['sorting']);
}
$tree = new tree($cache);
$productscats = $tree->build_menu($tree->array);
$tree->untree();
?>
<style>
	#tree_menu ul,#tree_menu ul li {
		list-style: none;
		margin: 0;
		padding: 0;
	}
	#tree_menu ul {
		position: relative;
		z-index: 597;
		padding:0 10px;
		margin:0 10px;
	}
	#tree_menu ul li {
		vertical-align: middle;
		zoom: 1;
		text-align: left;
		position:relative;
		margin: 1px 0;
	}
	#tree_menu ul li a {
		border-bottom: solid 1px #eeeeee;
		padding: 5px;
	}
	#tree_menu ul li a.dir {
		background-color:#eeeeee;
		border-bottom: none;
	}
	#tree_menu ul li a {
		display:block;
		width:100%;
		cursor:pointer;
	}
	#tree_menu ul li span{
		cursor:pointer;
	}
	
	#tree_menu .del{
		position: absolute;
		left: 330px;
		top: 0;
		background:url(images/close16.png) center center no-repeat;
		width: 20px;
		height:20px;
	}
	#tree_menu .add{
		position: absolute;
		left: 300px;
		top: 0;
		background:url(images/add16.png) center center no-repeat;
		width: 20px;
		height:20px;
	}
	#tree_menu .save{
		position: absolute;
		left: 0;
		top: 0;
		background:url(images/check.png) center center no-repeat;
		width: 30px;
		height:30px;
		z-index:3;
	}
	#tree_menu .entry{
		padding: 5px 35px;
	}
</style>
<script>
	function manage(){
		$("#tree_menu ul li").hover( 
	      function () { 
	    	  $(this).prepend('<span class="del">&nbsp;</span><span class="add">&nbsp;</span>');
	    	  $(".del", $(this)).unbind('click').click(function(){
		    	  var s = $(this).parent();
	    		  $.ajax({
						type: "POST", 
						url: "productscats_delete.php", 
						data: "id="+s.attr('id'), 
						success: function(msg){
							if($('>a', s.parent().parent()).hasClass('dir') && s.parent().children().length == 1){
								$('>a', s.parent().parent()).removeClass('dir');
							}
							s.remove();
						} 
					});
		      });
	    	  $(".add", $(this)).unbind('click').click(function(){
		    	  	var sp = $(this).parent();
		    	  	var pid = sp.attr('id');
			    	var sorting = $('ul', sp).children().length+1;
			    	if(!$('>a', sp).hasClass('dir')) $('>a', sp).addClass('dir')
		    		$('>ul', sp).append('<li><a class="new_entry"><span>New Entry</span></a></li>');
	    		  	$( "#tree_menu ul li a.new_entry" ).unbind('dblclick').dblclick(function(){
						var ss = this;
						$(this).hide();
						$(this).parent().prepend('<input type="text" class="entry smallInput" value="'+$(this).text()+'" />');
						$(this).parent().prepend('<span class="save"></span>');
						$(".save", $(this).parent()).unbind('click').click(function(){
							$.ajax({
								type: "POST", 
								url: "productscats_new.php", 
								data: "name="+$(".entry", $(ss).parent()).val()+"&parent_id="+pid+"&sorting="+sorting, 
								success: function(msg){
									$(ss).html('<span>'+$(".entry", $(ss).parent()).val()+'</span>');
									$(ss).show();
									$(".entry", $(ss).parent()).remove();
									$(".save", $(ss).parent()).remove();
									$(ss).parent().attr('id', msg);
									manage();
								} 
							});
						});
					});
		      });
	      },  
	      function () { 
	    	  $('.del', $(this)).remove();
	    	  $('.add', $(this)).remove();
	      } 
	    );
	}
	$(function() {
		$( "#tree_menu ul" ).sortable({
			placeholder: "ui-state-highlight",
			update: function(event, ui) {
				var ids = '';
				ui.item.parent().children().each(function(){
					if(ids == '')
						ids = $(this).attr('id');
					else
						ids += ',' + $(this).attr('id');
				});
				$.ajax({
					type: "POST", 
					url: "productscats_sort.php", 
					data: "ids="+ids, 
					success: function(msg){} 
				});
			}
		});
		$( "#tree_menu ul" ).disableSelection();
		$( "#tree_menu ul li a" ).dblclick(function(){
			var sss = this;
			$(this).hide();
			$(this).parent().prepend('<input type="text" class="entry smallInput" value="'+$(this).text()+'" />');
			$(this).parent().prepend('<span class="save"></span>');
			$(".save", $(this).parent()).click(function(){
				$.ajax({
					type: "POST", 
					url: "productscats_update.php", 
					data: "id="+$(sss).parent().attr('id')+"&name="+$(".entry", $(sss).parent()).val(), 
					success: function(msg){
						$(sss).html('<span>'+$(".entry", $(sss).parent()).val()+'</span>');
						$(sss).show();
						$(".entry", $(sss).parent()).remove();
						$(".save", $(sss).parent()).remove();
	
					} 
				});
			});
		});
		manage();
	});
</script>
<!-- ############# style menu ############# -->
<!-- ############# wrapper start ############# -->
<div class="wrapper">
	<!-- ############# admin_box start ############# -->
	<div class="admin_box">
		<!-- ############# admin_box_header start ############# -->
		<div class="admin_box_header">
			<!-- ############# admin box header start ############# -->
			<h3>Listing Categories</h3>
			<!-- change the title here -->
		</div>
		<!-- ############# admin_box_header end ############# --> <!-- ############# content_box start ############# -->
		<div class="content_box">
			<div class="content">
				<div id="tree_menu">
					<ul>
						<?=$productscats;?>
					</ul>
				</div>
				<div class="clear"></div>
			</div>
		</div>
		<!-- ############# content_box end ############# -->
		<!-- ############# admin_box_bottom start ############# -->
		<!-- ############# admin_box_bottom end ############# -->
	</div>
	<!-- ############# admin_box end ############# -->
</div>
<!-- ############# wrapper end ############# -->